; this step converts MHDU files from KECK into simple fits files and
; also removes bias using the overscan regions automatically

cd, 'raw'
allfiles = findfile('*fits')
ndata = n_elements(allfiles)


renamefiles = 'simp.'+allfiles

cd,'..'

for i=0, ndata - 1 do begin & $
   print, 'simplifying image ', allfiles[i], '    output is  ',renamefiles[i] & $
   img = readmhdufits('raw/'+allfiles[i],header=head) & $
   imgclip = sigma_filter(img,6,n_sigma=3.5,/all_pixels,/iterate,/monitor) & $
;   astrim,img-imgclip & $
   writefits,renamefiles[i],imgclip,head & $
   endfor
